package drawingDemo;

public class BackgroundThread implements Runnable {

    public static final int SLEEP_TIMEOUT = 10; // 1000 / 24; // 24 fps
    int timeout = SLEEP_TIMEOUT;
    private FrameDemo2D mainWindow;

    // constructors
    public BackgroundThread( FrameDemo2D mainWindow )
    {
        this.mainWindow = mainWindow;
    }

    void setTimeout( int timeout )
    {
        this.timeout = timeout;
    }
    
    @Override
    public void run() {
        for(;;) {
            // forever...
            try {
                // ask EDT thread to repaint itself
                java.awt.EventQueue.invokeLater(new Runnable() {
                    public void run() {
                        mainWindow.update();
                    }
                });
                // go to sleep for a period of time
                Thread.sleep(timeout);
            } catch (InterruptedException ie) {
            }
        }
    }
}//class BackgroundThread
